from flask import Blueprint, render_template
from models import Asset
from config import item_attributes

viewall_bp = Blueprint('viewall', __name__)

@viewall_bp.route('/viewall/', methods=['GET'])
def view_list():
    items = Asset.query.all()
    primary_attrib = next(
        (attrib for attrib, config in item_attributes.items() if config.primary),
        None
    )
    return render_template('viewList.html', items=items, item_attributes=item_attributes, primary_attrib=primary_attrib)